{
  "request_no": "PR-20251016-001",
  "job_no": "1",
  "created_at": "2025-10-16T05:40:46.947440",
  "materials": [
    {
      "material_id": 3543,
      "description": "PIPE, SMLS, SCH 40S, ASTM A312 TP304",
      "category": "PIPE",
      "size": "1/2\"",
      "material_grade": "ASTM A312 TP304",
      "quantity": 11,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3551,
      "description": "PIPE, SMLS, SCH 80, ASTM A106 B",
      "category": "PIPE",
      "size": "3/4\"",
      "material_grade": "ASTM A106 B",
      "quantity": 92,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3555,
      "description": "PIPE, SMLS, SCH 40S, ASTM A312 TP304",
      "category": "PIPE",
      "size": "1\"",
      "material_grade": "ASTM A312 TP304",
      "quantity": 23,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3565,
      "description": "PIPE, SMLS, SCH 80, ASTM A106 B",
      "category": "PIPE",
      "size": "1\"",
      "material_grade": "ASTM A106 B",
      "quantity": 139,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3574,
      "description": "PIPE, SMLS, SCH 40S, ASTM A312 TP304",
      "category": "PIPE",
      "size": "1 1/2\"",
      "material_grade": "ASTM A312 TP304",
      "quantity": 14,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3588,
      "description": "PIPE, SMLS, SCH 80, ASTM A106 B",
      "category": "PIPE",
      "size": "1 1/2\"",
      "material_grade": "ASTM A106 B",
      "quantity": 98,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3844,
      "description": "PIPE, SMLS, SCH 80, ASTM A106 B",
      "category": "PIPE",
      "size": "1/2\"",
      "material_grade": "ASTM A106 B",
      "quantity": 82,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3926,
      "description": "PIPE, SMLS, SCH 40S, ASTM A312 TP304",
      "category": "PIPE",
      "size": "10\"",
      "material_grade": "ASTM A312 TP304",
      "quantity": 4,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3930,
      "description": "PIPE, SMLS, SCH 40S, ASTM A312 TP304",
      "category": "PIPE",
      "size": "12\"",
      "material_grade": "ASTM A312 TP304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3931,
      "description": "PIPE, SMLS, SCH 40, ASTM A106 B",
      "category": "PIPE",
      "size": "2\"",
      "material_grade": "ASTM A106 B",
      "quantity": 50,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3981,
      "description": "PIPE, SMLS, SCH 40S, ASTM A312 TP304",
      "category": "PIPE",
      "size": "2\"",
      "material_grade": "ASTM A312 TP304",
      "quantity": 9,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3990,
      "description": "PIPE, SMLS, SCH 40, ASTM A106 B",
      "category": "PIPE",
      "size": "3\"",
      "material_grade": "ASTM A106 B",
      "quantity": 25,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 3998,
      "description": "PIPE, SMLS, SCH 40S, ASTM A312 TP304",
      "category": "PIPE",
      "size": "3\"",
      "material_grade": "ASTM A312 TP304",
      "quantity": 8,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4023,
      "description": "PIPE, SMLS, SCH 40S, ASTM A312 TP304",
      "category": "PIPE",
      "size": "3/4\"",
      "material_grade": "ASTM A312 TP304",
      "quantity": 15,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4126,
      "description": "PIPE, SMLS, SCH 40, ASTM A106 B",
      "category": "PIPE",
      "size": "4\"",
      "material_grade": "ASTM A106 B",
      "quantity": 12,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 4138,
      "description": "PIPE, SMLS, SCH 40, ASTM A106 B",
      "category": "PIPE",
      "size": "6\"",
      "material_grade": "ASTM A106 B",
      "quantity": 13,
      "unit": "EA",
      "user_requirement": ""
    }
  ],
  "grouped_materials": []
}